package com.dgtly.order.domain;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author: csz
 * @Date: 2020/8/7 15:35
 */
public class OrderLineDetailLineModel implements Serializable {
    //    行项目号
    private String orderItem;
    //  物料名称
    private String materialName;
    //    规格
    private String sizeDim;
    //    数量
    private BigDecimal count = new BigDecimal(0);
    //  未交货数量
    private BigDecimal notDeliveryCount = new BigDecimal(0);
    //    发货数量
    private BigDecimal sendCount = new BigDecimal(0);
    //    已收货数量
    private BigDecimal collectCount = new BigDecimal(0);


    public String getOrderItem() {
        return orderItem;
    }

    public void setOrderItem(String orderItem) {
        this.orderItem = orderItem;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getSizeDim() {
        return sizeDim;
    }

    public void setSizeDim(String sizeDim) {
        this.sizeDim = sizeDim;
    }

    public BigDecimal getCount() {
        return count;
    }

    public void setCount(BigDecimal count) {
        this.count = count;
    }

    public BigDecimal getNotDeliveryCount() {
        return notDeliveryCount;
    }

    public void setNotDeliveryCount(BigDecimal notDeliveryCount) {
        this.notDeliveryCount = notDeliveryCount;
    }

    public BigDecimal getSendCount() {
        return sendCount;
    }

    public void setSendCount(BigDecimal sendCount) {
        this.sendCount = sendCount;
    }

    public BigDecimal getCollectCount() {
        return collectCount;
    }

    public void setCollectCount(BigDecimal collectCount) {
        this.collectCount = collectCount;
    }
}
